
package ca.canadapost.cpcdp.shipping.generated.shipment;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ShipmentInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/shipment-v8}CustomerRequestIdType" minOccurs="0"/>
 *         &lt;element name="shipment-id" type="{http://www.canadapost.ca/ws/shipment-v8}ShipmentIDType"/>
 *         &lt;element name="shipment-status" type="{http://www.canadapost.ca/ws/shipment-v8}ShipmentStatusType"/>
 *         &lt;element name="tracking-pin" type="{http://www.canadapost.ca/ws/shipment-v8}TrackingPINType" minOccurs="0"/>
 *         &lt;element name="return-tracking-pin" type="{http://www.canadapost.ca/ws/shipment-v8}TrackingPINType" minOccurs="0"/>
 *         &lt;element name="po-number" type="{http://www.canadapost.ca/ws/shipment-v8}PoNumberType" minOccurs="0"/>
 *         &lt;element name="shipment-price" type="{http://www.canadapost.ca/ws/shipment-v8}ShipmentPriceType" minOccurs="0"/>
 *         &lt;element name="shipment-receipt" type="{http://www.canadapost.ca/ws/shipment-v8}ShipmentReceiptType" minOccurs="0"/>
 *         &lt;element ref="{http://www.canadapost.ca/ws/shipment-v8}links"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentInfoType", propOrder = {

})
@XmlRootElement(name = "shipment-info")
public class ShipmentInfo {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElement(name = "shipment-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shipmentId;
    @XmlElement(name = "shipment-status", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shipmentStatus;
    @XmlElement(name = "tracking-pin")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String trackingPin;
    @XmlElement(name = "return-tracking-pin")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String returnTrackingPin;
    @XmlElement(name = "po-number")
    protected String poNumber;
    @XmlElement(name = "shipment-price")
    protected ShipmentPrice shipmentPrice;
    @XmlElement(name = "shipment-receipt")
    protected ShipmentReceipt shipmentReceipt;
    @XmlElement(required = true)
    protected Links links;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the shipmentId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShipmentId() {
        return shipmentId;
    }

    /**
     * Sets the value of the shipmentId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShipmentId(String value) {
        this.shipmentId = value;
    }

    /**
     * Gets the value of the shipmentStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShipmentStatus() {
        return shipmentStatus;
    }

    /**
     * Sets the value of the shipmentStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShipmentStatus(String value) {
        this.shipmentStatus = value;
    }

    /**
     * Gets the value of the trackingPin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTrackingPin() {
        return trackingPin;
    }

    /**
     * Sets the value of the trackingPin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTrackingPin(String value) {
        this.trackingPin = value;
    }

    /**
     * Gets the value of the returnTrackingPin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReturnTrackingPin() {
        return returnTrackingPin;
    }

    /**
     * Sets the value of the returnTrackingPin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReturnTrackingPin(String value) {
        this.returnTrackingPin = value;
    }

    /**
     * Gets the value of the poNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoNumber() {
        return poNumber;
    }

    /**
     * Sets the value of the poNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoNumber(String value) {
        this.poNumber = value;
    }

    /**
     * Gets the value of the shipmentPrice property.
     * 
     * @return
     *     possible object is
     *     {@link ShipmentPrice }
     *     
     */
    public ShipmentPrice getShipmentPrice() {
        return shipmentPrice;
    }

    /**
     * Sets the value of the shipmentPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link ShipmentPrice }
     *     
     */
    public void setShipmentPrice(ShipmentPrice value) {
        this.shipmentPrice = value;
    }

    /**
     * Gets the value of the shipmentReceipt property.
     * 
     * @return
     *     possible object is
     *     {@link ShipmentReceipt }
     *     
     */
    public ShipmentReceipt getShipmentReceipt() {
        return shipmentReceipt;
    }

    /**
     * Sets the value of the shipmentReceipt property.
     * 
     * @param value
     *     allowed object is
     *     {@link ShipmentReceipt }
     *     
     */
    public void setShipmentReceipt(ShipmentReceipt value) {
        this.shipmentReceipt = value;
    }

    /**
     * Gets the value of the links property.
     * 
     * @return
     *     possible object is
     *     {@link Links }
     *     
     */
    public Links getLinks() {
        return links;
    }

    /**
     * Sets the value of the links property.
     * 
     * @param value
     *     allowed object is
     *     {@link Links }
     *     
     */
    public void setLinks(Links value) {
        this.links = value;
    }

}
