
package ca.canadapost.cpcdp.shipping.generated.shipment;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for SettlementInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SettlementInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="paid-by-customer" type="{http://www.canadapost.ca/ws/shipment-v8}CustomerIDType" minOccurs="0"/>
 *         &lt;element name="contract-id" type="{http://www.canadapost.ca/ws/shipment-v8}ContractIDType" minOccurs="0"/>
 *         &lt;element name="cif-shipment" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="intended-method-of-payment" type="{http://www.canadapost.ca/ws/shipment-v8}MethodOfPaymentType"/>
 *         &lt;element name="promo-code" type="{http://www.canadapost.ca/ws/shipment-v8}PromoCodeType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SettlementInfoType", propOrder = {

})
public class SettlementInfoType {

    @XmlElement(name = "paid-by-customer")
    protected String paidByCustomer;
    @XmlElement(name = "contract-id")
    protected String contractId;
    @XmlElement(name = "cif-shipment")
    protected Boolean cifShipment;
    @XmlElement(name = "intended-method-of-payment", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String intendedMethodOfPayment;
    @XmlElement(name = "promo-code")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String promoCode;

    /**
     * Gets the value of the paidByCustomer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaidByCustomer() {
        return paidByCustomer;
    }

    /**
     * Sets the value of the paidByCustomer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaidByCustomer(String value) {
        this.paidByCustomer = value;
    }

    /**
     * Gets the value of the contractId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContractId() {
        return contractId;
    }

    /**
     * Sets the value of the contractId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContractId(String value) {
        this.contractId = value;
    }

    /**
     * Gets the value of the cifShipment property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCifShipment() {
        return cifShipment;
    }

    /**
     * Sets the value of the cifShipment property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCifShipment(Boolean value) {
        this.cifShipment = value;
    }

    /**
     * Gets the value of the intendedMethodOfPayment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIntendedMethodOfPayment() {
        return intendedMethodOfPayment;
    }

    /**
     * Sets the value of the intendedMethodOfPayment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIntendedMethodOfPayment(String value) {
        this.intendedMethodOfPayment = value;
    }

    /**
     * Gets the value of the promoCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPromoCode() {
        return promoCode;
    }

    /**
     * Sets the value of the promoCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPromoCode(String value) {
        this.promoCode = value;
    }

}
