
package ca.canadapost.cpcdp.shipping.generated.shipment;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for SkuType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SkuType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customs-number-of-units">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}positiveInteger">
 *               &lt;minInclusive value="1"/>
 *               &lt;maxInclusive value="9999"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="customs-description">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;minLength value="1"/>
 *               &lt;maxLength value="45"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="sku" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;maxLength value="15"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="hs-tariff-code" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;pattern value="\d{4}(\.\d{2}(\.\d{2}(\.\d{2})?)?)?"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="unit-weight">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}decimal">
 *               &lt;minExclusive value="0"/>
 *               &lt;maxInclusive value="99.999"/>
 *               &lt;fractionDigits value="3"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="customs-value-per-unit">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}decimal">
 *               &lt;minExclusive value="0"/>
 *               &lt;maxInclusive value="99999.99"/>
 *               &lt;fractionDigits value="2"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="customs-unit-of-measure" type="{http://www.canadapost.ca/ws/shipment-v8}CustomsUnitOfMeasure" minOccurs="0"/>
 *         &lt;element name="country-of-origin" type="{http://www.canadapost.ca/ws/shipment-v8}CountryCodeType" minOccurs="0"/>
 *         &lt;element name="province-of-origin" type="{http://www.canadapost.ca/ws/shipment-v8}ProvinceType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SkuType", propOrder = {

})
public class SkuType {

    @XmlElement(name = "customs-number-of-units")
    protected int customsNumberOfUnits;
    @XmlElement(name = "customs-description", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customsDescription;
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String sku;
    @XmlElement(name = "hs-tariff-code")
    protected String hsTariffCode;
    @XmlElement(name = "unit-weight", required = true)
    protected BigDecimal unitWeight;
    @XmlElement(name = "customs-value-per-unit", required = true)
    protected BigDecimal customsValuePerUnit;
    @XmlElement(name = "customs-unit-of-measure")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customsUnitOfMeasure;
    @XmlElement(name = "country-of-origin")
    protected String countryOfOrigin;
    @XmlElement(name = "province-of-origin")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String provinceOfOrigin;

    /**
     * Gets the value of the customsNumberOfUnits property.
     * 
     */
    public int getCustomsNumberOfUnits() {
        return customsNumberOfUnits;
    }

    /**
     * Sets the value of the customsNumberOfUnits property.
     * 
     */
    public void setCustomsNumberOfUnits(int value) {
        this.customsNumberOfUnits = value;
    }

    /**
     * Gets the value of the customsDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomsDescription() {
        return customsDescription;
    }

    /**
     * Sets the value of the customsDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomsDescription(String value) {
        this.customsDescription = value;
    }

    /**
     * Gets the value of the sku property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSku() {
        return sku;
    }

    /**
     * Sets the value of the sku property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSku(String value) {
        this.sku = value;
    }

    /**
     * Gets the value of the hsTariffCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHsTariffCode() {
        return hsTariffCode;
    }

    /**
     * Sets the value of the hsTariffCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHsTariffCode(String value) {
        this.hsTariffCode = value;
    }

    /**
     * Gets the value of the unitWeight property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getUnitWeight() {
        return unitWeight;
    }

    /**
     * Sets the value of the unitWeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setUnitWeight(BigDecimal value) {
        this.unitWeight = value;
    }

    /**
     * Gets the value of the customsValuePerUnit property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCustomsValuePerUnit() {
        return customsValuePerUnit;
    }

    /**
     * Sets the value of the customsValuePerUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCustomsValuePerUnit(BigDecimal value) {
        this.customsValuePerUnit = value;
    }

    /**
     * Gets the value of the customsUnitOfMeasure property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomsUnitOfMeasure() {
        return customsUnitOfMeasure;
    }

    /**
     * Sets the value of the customsUnitOfMeasure property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomsUnitOfMeasure(String value) {
        this.customsUnitOfMeasure = value;
    }

    /**
     * Gets the value of the countryOfOrigin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCountryOfOrigin() {
        return countryOfOrigin;
    }

    /**
     * Sets the value of the countryOfOrigin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCountryOfOrigin(String value) {
        this.countryOfOrigin = value;
    }

    /**
     * Gets the value of the provinceOfOrigin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProvinceOfOrigin() {
        return provinceOfOrigin;
    }

    /**
     * Sets the value of the provinceOfOrigin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProvinceOfOrigin(String value) {
        this.provinceOfOrigin = value;
    }

}
